#pragma once
#include "afxwin.h"
#include "apl_gui.h"
#include "resource.h"

// CaplLangSelectDlg dialog

class CaplLangSelectDlg : public CDialog
{
	DECLARE_DYNAMIC(CaplLangSelectDlg)

public:
	CaplLangSelectDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CaplLangSelectDlg();

// Dialog Data
	enum { IDD = IDD_LANG_SELECT_DLG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	CComboBox m_lang_ctrl;
	int m_iLang;
	CaplButton m_ok_btn;
	virtual BOOL OnInitDialog();

	// получить код выбранного языка
	// использовать так: CaplLangSelectDlg dlg; if (dlg.DoModal()){ AfxGetApp()->WriteProfileInt(_T("Settings"), _T("DefLangCode"), dlg.GetLangCode()); }
	int GetLangCode() { return apl_langs[m_iLang].id; }
protected:
	virtual void OnOK();
};
